Base URL: https://demo-api.incodesmile.com — Incode demo environment
This method is used for confirming user identity by sending last four digits of his phone number. transactionId which was received in /omni/oneToN/identify response should be used.
Path & query parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
api-version |
header | string | yes |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
verificationCode |
string | The last 4 digits of the user's phone number. | |
transactionId |
string | Authentication identifier received in /omni/oneToN/identify. |
Responses
200
OK
Response body (application/json):
| Field | Type | Required | Description |
|---|---|---|---|
customerId |
string | ||
token |
string | ||
interviewId |
string | ||
interviewToken |
string | ||
transactionId |
string | Authentication attempt identifier. | |
externalId |
string | External ID of customer, provided by client on /omni/start call. | |
externalCustomerId |
string | External ID of customer, provided by client on /omni/start call. | |
faceMatch |
boolean | ||
spoofAttempt |
boolean | Flag indicating if this was spoof attempt. | |
secondFactor |
boolean | ||
children |
array[Child] | ||
children.customerId |
string | ||
children.token |
string | ||
spoofConfidence |
number (float) | Score between 0 and 1 that indicates if an image is a spoof. Scores closer to 0 indicate a legitimate session with a live user, whereas scores closer to 1 indicate a higher probability that the provided image is spoofed and that the session may be fraudulent. | |
overallScore |
number (float) | Overall score search, value form 0 to 100. | |
overallStatus |
string | Overall status Enum: PASS, FAIL |
|
deviceIPLocationData |
DeviceIPLocationDataDto | ||
deviceIPLocationData.ipAddress |
string | ||
deviceIPLocationData.ipCountry |
string | ||
deviceIPLocationData.ipCity |
string | ||
deviceIPLocationData.ipRegion |
string |
400
Custom error status: - 4004: Couldn't find record with verificationCode and transactionId
Response body (application/json):
| Field | Type | Required | Description |
|---|---|---|---|
timestamp |
integer (int64) | UTC timestamp in milliseconds | |
status |
integer (int32) | Custom error code or HTTP status code | |
error |
string | HTTP status error | |
message |
string | Custom error message | |
path |
string | Endpoint path | |
details |
object | Custom error details |